%define name	autospec
%define	version 0.6
%define release	1mdk

Summary: 	Autospec help you to create spec files to build RPM packages
Name: 		%{name}
Version: 	%{version}
Release:	%{release}
Group: 		Development/Other
License: 	GPL
Source: 	%{name}-%{version}.tar.bz2
URL:            http://www.npsnet.com/danf/software/
BuildRoot: 	%_tmppath/%name-buildroot
Prefix: 	%{_prefix}


Requires: python >= 1.3


%description
autospec creates spec files used by the Red Hat Package Manager rpm
in building RPM packages.  It uses the information it can determine
(from a list of files or an install script) to fill in the proper spec
file fields and inserts several more commented-out fields that it cannot
fill in. This allows a human packager to use the generated spec file as
an almost complete template to quickly create an RPM package from a
typical source or binary archive.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
cp autospec $RPM_BUILD_ROOT%{_bindir}
cp *.py $RPM_BUILD_ROOT%{_datadir}/%{name}
cp autospec.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc COPYING
%attr(0755,root,root) %_bindir/*
%attr(0644,root,root) %_mandir/man1/*
%attr(0755,root,root) %dir %_datadir/%name
%attr(0644,root,root) %_datadir/%name/*.py


%changelog
* Wed Jun 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6-1mdk
- updated to 0.6

* Thu Apr 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- added in contribs by Pierre-Michel THEVENY <pmt@mnhn.fr> :
	- Ported to Mandrake 8.0 (rpm-4.0)

* Thu Mar 29 2001 Dan Fandrich <dan@coneharvesters.com>
- Updated to ver. 0.5.  Added RPM version compatibility option.
  Improved install script parsing. Added more magic documentation file names.
  Using BuildRoot whenever -i not used. Added %changelog section.
  Moved Python source to /usr/share/autospec

* Mon Jun  5 2000 Dan Fandrich <dan@coneharvesters.com>
- Updated to ver. 0.4. Supports new-style LSM files.

* Thu Feb 25 1999 Dan Fandrich <dan@fch.wimsey.bc.ca>
- Updated to ver. 0.3.  Supports getting info from LSM files.
  Meaning of -d flag is inverted.

* Sun Aug  9 1998 Dan Fandrich <dan@fch.wimsey.bc.ca>
- renamed %changes to %changelog; release 2

* Sun Aug  9 1998 Dan Fandrich <dan@fch.wimsey.bc.ca>
- added BuildRoot; tweaked %description; changed to version 0.2

* Tue Jul 14 1998 Dan Fandrich <dan@fch.wimsey.bc.ca>
- initial release

